> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Connection

> Use the /api/v1/revoke endpoint to revoke access to the Open Banking API for an individual connection.

Use the `/api/v1/revoke` endpoint to revoke access to the Open Banking API for an individual connection. If the request is successful, this endpoint does not return a response.

To successfully call this endpoint, you must first call the [/Token](/api/outbound/endpoints/authorize/token) endpoint and obtain a valid `access_token`.

## How to handle an error response

If you receive an error response, refer to the [List of Authorization Errors](/api/outbound/endpoints/authorize/errors) for more information about the error and how to resolve it.


## OpenAPI

````yaml /openapi-outbound.yaml DELETE /api/v1/revoke
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://ob.flinksapp.com
    description: Flinks Outbound Production
security:
  - BearerAuth: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
paths:
  /api/v1/revoke:
    delete:
      tags:
        - Outbound
      summary: Revoke Connection
      description: >-
        Use the /api/v1/revoke endpoint to revoke access to the Open Banking API
        for an individual connection.
      operationId: revokeConnection
      responses:
        '204':
          description: >-
            The connection was successfully revoked. No response body is
            returned.
        4XX:
          description: >-
            Returned when the request is missing a required parameter or is
            otherwise invalid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error code.
                  error_description:
                    type: string
                    description: A description of the error.
              example:
                error: invalid_request
                error_description: The request is missing a required parameter.
        5XX:
          description: Returned when an unhandled error occurred on the server.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error code.
                  error_description:
                    type: string
                    description: A description of the error.
              example:
                error: server_error
                error_description: An unhandled error occurred on the server.
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Bearer token obtained from the /Token endpoint.

````